## DHBW interest calculator

Program desgin from school. Function and variable names were translated to english.

> The submissin release was graded with 93,0 points out of 100,0

### Compatability with non ANSI terminal emulators

For the best experience at least an ANSI or UTF-8 compatible terminal is required for special characters such as the € symbol.  
Please note that a true C-Compiler is required to compile the code. If you don't have one in order to compile with a C++ compiler you may need to remove the macro at the start  
testing for a C++ compiler and the `restrict` keyword.  
This program was testet with the following operating systems:

#### Windows 11 Pro (x86\_64)

Tested for Version 10.0.22621 with SDK version 10.0.22000 for Microsoft Visual Studio 17 with MSVC 19.34.31937.

NOTE: Due to cross platform compatability no “safe(r)” functions like `scanf_s` nor any of the `WINAPI` were used. The code should still compile and run without errors or warnings. 

#### Linux (x86\_64)

Tested for Archlinux with vanilla Kernel 6.0.11-arch1-1 and gcc 12.2.0.

### Compile & Run

The code can be freely compiled with any C/C++ compiler like clang, icc, gcc, etc…  
With the source provided is a  build file for cmake (since this is the default tool I use to compile and test). 

Build with cmake:

`cmake . && cmake --build .`